/*----------------------------------------------------------*/
/*              Control Table (ctl_jx.c)                        */
/*----------------------------------------------------------*/

#include "init_jx.h"

typedef struct
   {
   unsigned control_reg[28];
   }CONTROL_TABLE;

const CONTROL_TABLE boot_control_table = {
	/* -- Group 0 -- Breakpoint Registers */
	0, 0, 0, 0,
	/* -- Group 1 -- Interrupt Map Registers */
	0, 0, 0,        /* Interrupt Map Regs (set by code as needed) */
	0x43bc,   /* ICON     
	     *       - dedicated mode,
	     *       - enabled
	     * sdm 0 - falling edge actived,
	     * sdm 1 - falling edge actived,
	     * sdm 2 - falling edge actived,
	     * sdm 3 - falling edge actived,
	     * sdm 4 - level-low activated,
	     * sdm 5 - falling edge actived,
	     * sdm 6 - falling edge actived,
	     * sdm 7 - falling edge actived,
	     *       - mask unchanged,
	     *       - not cached,
	     *       - fast
	     */

	/* -- Groups 2-5 -- Bus Configuration Registers */
	DEFAULT, 0,                        /* Region 0_1 */
	DEFAULT, 0,                       /* Region 2_3 */
	I_O, 0,                       /* Region 4_5 */
	DEFAULT, 0,                         /* Region 6_7 */
	DEFAULT, 0,                      /* Region 8_9 */
	DRAM, 0,                       /* Region 10_11 */
	DEFAULT, 0,                     /* Region 12_13 */
	ROM, 0,                        /* Region 14_15 */

	/* -- Group 6 -- Breakpoint, Trace and Bus Control Registers */
	0,                      /* Reserved */
	0,                      /* BPCON, Reserved on JX */
	0,                      /* Trace Controls  */
	1                       /* BCON Register  (Region config. valid) */
};
 


