/*----------------------------------------------------------*/
/*         Initialization Header File (init.h)              */
/*----------------------------------------------------------*/

#define BYTE_N(n,data)  (((unsigned)(data) >> (n*8)) & 0xFF)
typedef struct
   {
   unsigned char        bus_byte_0;
   unsigned char        reserved_0[3];
   unsigned char        bus_byte_1;
   unsigned char        reserved_1[3];
   unsigned char        bus_byte_2;
   unsigned char        reserved_2[3];
   unsigned char        bus_byte_3;
   unsigned char        reserved_3[3];
   void                 (*first_inst)();
   unsigned     *prcb_ptr;
   int                  check_sum[6];
   }IBR;

/* PMCON Bus Width can be 8,16 or 32, default to 8 
   PMCON14_15 BOOT_BIG_ENDIAN  0=little endian, 1=big endian  */

#define BUS_WIDTH(bw)   ((bw==16)?(1<<22):(0)) | ((bw==32)?(2<<22):(0))
#define BOOT_BIG_ENDIAN(on)   ((on)?(1<<31):(0))

/* Bus configuration */

#define DEFAULT (BUS_WIDTH(8) | BOOT_BIG_ENDIAN(0))
#define I_O     (BUS_WIDTH(8)| BOOT_BIG_ENDIAN(0))
#define DRAM    (BUS_WIDTH(32)| BOOT_BIG_ENDIAN(0))
#define ROM     (BUS_WIDTH(8)| BOOT_BIG_ENDIAN(0))



