/*----------------------------------------------------------*/
/*              Linker Directive File (init_jx.ld)             */
/*----------------------------------------------------------*/
MEMORY
{
    /*
      Enough space must be reserved in ROM after the text
      section to hold the initial values of the data section.
    */

    rom:     o=0xfeff0000,l=0xfc00
    rom_dat: o=0xfefffc00,l=0x0300      /* placeholder for .data image */

    ibr:        o=0xfeffff30,l=0x30
    data:       o=0xA0000000,l=0x1000   /* DRAM */
}

SECTIONS
{
	.ibr :
	{
	  rom_ibr.o
	} > ibr

  .text :
	{
	  *(.text)
	  .=ALIGN(0x10);
	} > rom
	.data :
	{
	} > data
	.bss :
	{
	} > data
}

rom_data = __Etext;             /* used in init.s as source of .data
				   section initial values.  ROM960 
				   "move" command places the .data 
				   section right after the .text section */

_checksum = -(_rom_prcb + _start_ip);

/*
#*move $0 .text 0               
#*move $0  
#*move $0 .ibr 0x1FF30
#*map  $0
#*mkimage $0 $0.ima
#*ihex $0.ima $0.hex mode32
#*quit
*/
      

