/*----------------------------------------------------------*/
/*   Initialization Boot Record File (rom_ibr.c)  */
/*----------------------------------------------------------*/

#include "init_jx.h"
/*
 * NOTE: The ibr must be located at 0xFEFFFF30. Use the linker to 
 * locate this structure. 
 * The boot configuration is almost always region F, since the IBR
 * must be located there
 */

extern void start_ip();
extern unsigned rom_prcb;
extern unsigned checksum;

#define CS_6 (int) &checksum  /* value calculated in linker */
#define BOOT_CONFIG ROM

const IBR init_boot_record =
   {
   BYTE_N(0,BOOT_CONFIG),    /* PMCON14_15 byte 1 */
	0,0,0,                    /* reserved set to 0 */
   BYTE_N(1,BOOT_CONFIG),    /* PMCON14_15 byte 2 */
	0,0,0,                    /* reserved set to 0 */
   BYTE_N(2,BOOT_CONFIG),    /* PMCON14_15 byte 3 */
	0,0,0,                    /* reserved set to 0 */
   BYTE_N(3,BOOT_CONFIG),    /* PMCON14_15 byte 4 */
	0,0,0,                    /* reserved set to 0 */
   start_ip,
   &rom_prcb,
   -2,
   0,
   0,
   0,
   0,
   CS_6
   };
   

